<?php
/* Tableau des Eléments Recueillis par fonction */

  $base_url = $request->getBaseUrl(); 
  //Nom du fichier export
  $sitefouille_nom_secure = preg_replace('/ /', '_', strtolower($sitefouille_info->get('nom','Accent')) );
  
$fonctionNA = utf8_encode('Non déterminé');
  
  $data_er_fonction =  array();
foreach ($fonction_elementrecueillis as $er_fonction ) {    
	if($er_fonction->get('fonction') == "NA"){
		$temp = array($fonctionNA,$er_fonction->get('nb_er'));
	}
	else{                   
 		$data_er_fonction[] = array($er_fonction->get('fonction'), $er_fonction->get('nb_er')) ;
	}
} 

if(!empty($temp)){
	array_push($data_er_fonction,$temp);
}
  $json_er_fonction =  json_encode($data_er_fonction, JSON_NUMERIC_CHECK | JSON_UNESCAPED_SLASHES | JSON_HEX_TAG | JSON_HEX_APOS | JSON_HEX_QUOT | JSON_HEX_AMP | JSON_UNESCAPED_UNICODE) ;
  
  // identifiant unique de la div d'affichage 
  $unique_div = rand();
?>

<script type="text/javascript">
  var json_er_fonction = <?php  echo $json_er_fonction  ; ?> ; 

  $(function () {
            // Build the chart
        $('#container_er_fonction_pie_<?php echo $unique_div  ; ?>').highcharts({
            credits: {
              enabled: false
            },
            chart: {
            	type: 'pie',
            	renderTo: "container_er_fonction_pie_<?php echo $unique_div  ; ?>",
                plotRetourgroundColor: null,
                plotBorderWidth: null,
                plotShadow: false
            },
            
            title: { text: null },
            tooltip: { 
             // pointFormat: '{series.name}: <b>{point.y}</b>'
              // pointFormat: '{series.name}: <b>{point.percentage:.1f}%</b>' // valeur % numerique avec decimale  
            },
            legend:{
            	enabled: true,
            	floating: true,
            	align: 'right',
            	verticalAlign:'top'
            },
            plotOptions: {
                pie: {
                    allowPointSelect: true,
                    cursor: 'pointer',
                    dataLabels: { enabled: false },
                    showInLegend: true,
                    center:["32%","55%"]
                }
            },
            
            series: [{ 
            	name: 'Nombres',
                data: json_er_fonction
            }],
          exporting: {
            enabled: false,
            filename: '<?php  echo $sitefouille_nom_secure.'_er_fonction_pie-charts'  ; ?>'
          }
        });
           
      		
            $('a').click(function(){ 
            	setTimeout(function(){
            		$('#container_er_fonction_pie_<?php echo $unique_div  ; ?>').highcharts().reflow();
            		},100);            	            	
            });
            
    
});
 
 
</script>




<!-- Rappel Titre Onglets -->
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_fonction_pie">
			<div id="container_er_fonction_pie_<?php echo $unique_div  ; ?>" class="container_stats">
			</div>                                    
      </div>
    </div>
  </div>
</div>
<div class="col-md-6">
  <div class="panel panel-default">
    <div class="panel-body">
      <div id="er_fonction_list" class="container_liste">
      	<table class="container_list">
			<?php
				for($i=0;$i<count($data_er_fonction);$i++){	
					echo "<tr><td><b> ".$data_er_fonction[$i][0]."</b></td><td> ".$data_er_fonction[$i][1]." </td></tr>";
				}
			?>
		</table>
      </div>
    </div>
    
  </div>
</div>
